# Maintainer: andrewb <andrea.benini96@gmail.com>

_pkgname=zoom
pkgname=zoom-x32
pkgver=5.4.53391.1108
pkgrel=1
pkgdesc="Video Conferencing and Web Conferencing Service"
arch=(i686)
url="https://zoom.us/"
provides=('zoom')
conflicts=('zoom')
license=('custom')
depends=('fontconfig' 'glib2' 'libpulse' 'libsm' 'ttf-font' 'libx11' 'libxcb'
    'libxcomposite' 'libxfixes' 'libxi' 'libxcursor' 'libxkbcommon-x11' 'libxrandr'
    'libxrender' 'libxshmfence' 'libxslt' 'mesa' 'nss' 'xcb-util-image' 'xcb-util-keysyms')
optdepends=('pulseaudio-alsa: audio via PulseAudio'
       'qt5-webengine: SSO login support'
       'picom: extra compositor needed by some window managers for screen sharing'
       'xcompmgr: extra compositor needed by some window managers for screen sharing')
options=(!strip)
source=(Zoom.desktop
        $_pkgname.xml
        icon.png
        https://zoom.us/client/$pkgver/$_pkgname\_$arch.tar.xz)
sha512sums=('56ce8db44946ee57552593501f41045af30ab1d6de9ee21b8b4aedafaccc4431847b962ed7e2bd0c591b09c51ec6b62a9c2bd67015c4a2b67cc687a25ec414c1'
            '808bd621c65e117164d9ffa6f9bb4e6c2385cd9836c9615a85ed04c600c85f3a01de011d2782062a90d1801f6f77d6c0f17d4369ea39f40b738e47bd1705ce5d'
            '8264397dea0d48ef339564867466eaa11615e16c5bd6d1c8d95d12d60810371f4182571b5f9085fe0ff702a192c7ad60cc8187b3b2e0ab8c6695bdeb90c13cc9'
            'd77357ab669ade90d4b8ae99116372db8b8b9a251625ed0566e89a8cc4d3f7aced07fd08d4646a223fad58f588e1dc2484464bd70e203b875ac9866fb92fe2ea')


package() {
    install -dm755 "$pkgdir/opt"
    install -dm755 "$pkgdir/usr/bin"
    install -dm755 "$pkgdir/usr/share"
    install -dm755 "$pkgdir/usr/share/pixmaps"

    # Program
    cp -r "$srcdir/$_pkgname" "$pkgdir/opt"

    # Launcher and mime
    ln -s /opt/$_pkgname/ZoomLauncher "$pkgdir/usr/bin/$_pkgname"
    install -D Zoom.desktop "$pkgdir/usr/share/applications/Zoom.desktop"
    install -D $_pkgname.xml "$pkgdir/usr/share/mime/packages/$_pkgname.xml"

    # Icon
    install -D icon.png "$pkgdir/usr/share/pixmaps/Zoom.png"
    install -D icon.png "$pkgdir/usr/share/pixmaps/application-x-zoom.png"
}

